complexEntry-class {Rintact} | R Documentation

## Class "complexEntry"

### Description

A class representing the complex data extracted from an IntAct data file in PSI-MI 2.5 format.

### Objects from the Class

Objects are usually created by `psi25complex`.

### Slots

`releaseDate`:
  character, release date of the data file.
`interactors`:
  matrix. Each row represents one interactor. IntAct IDs are used as row names. Each column represents one annotation. Annotations include: UniProt ID, gene symbol, full name, locus name, ORF name, organism name, and NCBI taxonomy ID.
`complexes`:
  list, a list of `intactComplex` objects, each represents one complex.

### Methods

show
  `signature(object = "complexEntry")`: a print method
complexes
  `signature(object = "complexEntry")`: a method to generate and print all the complexes to the complexEntry class
interactors
  `signature(object = "complexEntry")`: a method to generate and print all the interactors for a complex in the complexEntry class

### Author(s)

Nianhua Li

### References

The IntAct Database: http://www.ebi.ac.uk/intact/site/contents/downloads.jsf.

### See Also

`intactComplex-class`, `psi25complex`

[Package Rintact version 1.4.0 Index]